RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2102537 - [FIPS lab review] EC tuning
Summary: [FIPS lab review] EC tuning
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: openssl
Version: 9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Dmitry Belyavskiy
QA Contact: Hubert Kario
URL:
Whiteboard:
Depends On:
Blocks: 2115857
TreeView+ depends on / blocked
 
Reported: 2022-06-30 07:34 UTC by Dmitry Belyavskiy
Modified: 2023-06-05 15:57 UTC (History)
3 users (show)

Fixed In Version: openssl-3.0.1-43.el9_0
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 2115857 (view as bug list)
Environment:
Last Closed: 2023-06-05 15:57:26 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker CRYPTO-7880 0 None None None 2022-07-12 12:22:30 UTC
Red Hat Issue Tracker RHELPLAN-126705 0 None None None 2022-06-30 08:09:34 UTC

Description Dmitry Belyavskiy 2022-06-30 07:34:06 UTC
- crypto/ec:

	- ossl_ecdh_simple_compute_key: I fail to find the check of the remote public key compliant to SP800-56A rev 3 5.6.2.3.3 or 5.6.2.3.4. I.e. I fail to see the link to ossl_ec_key_public_check_quick or ossl_ec_key_public_check via providers/implementations/keymgmt/ec_kmgmt.c.

	- ec_generate_key: I assume that this function is used to generate the ECDH key pair, too. If so, I fail to find the full key validation following SP800-56A rev 3 5.6.2.3.3. I.e. I fail to see the link to ossl_ec_key_public_check via providers/implementations/keymgmt/ec_kmgmt.c.

	- ec_generate_key: I assume that this function is used to generate the ECDH key pair, too. If so, I fail to find the pairwise consistency test for ECDH: generate a *new* public key from the private key and memcmp it with the original public key.

Comment 6 Clemens Lang 2023-06-05 15:57:26 UTC
RHEL 9.1 contains openssl-3.0.1-43.el9_0.


Note You need to log in before you can comment on or make changes to this bug.